Bug 79654 - rpm library don't provide informations on cflags and ldflags
rpm library don't provide informations on cflags and ldflags
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks: 79653
  Show dependency treegraph
 
Reported: 2002-12-14 11:43 EST by Daniel Veillard
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-23 16:40:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
an attempt for a patch providing rpm-config functionalities (2.85 KB, patch)
2002-12-14 14:46 EST, Daniel Veillard
no flags Details | Diff

  None (edit)
Description Daniel Veillard 2002-12-14 11:43:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
The rpm library do not provide informations about the CFLAGS or
library needed for linking. Those have been changing on a regular
basis. To avoid future problems please provide a shell script
rpm-config installed as part of rpm-devel providing and accepting
the following flags:
  --libs                print library linking information
  --cflags              print pre-processor and compiler flags

  This is trivial to do (rpm-config.in generating rpm-config as
part of rpm configure process), and will allow applications using
the rpm library to 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install 7.3, try to link rpm2html against librpm
2.install 8.0, try to link rpm2html against librpm
3.install rawhide, try to link rpm2html against librpm

Actual Results:  a friggin mess


Expected Results:  rpm-config --cflags whould return the set of gcc -I options
needed to compile code dependant on librpm
rpm-config --libss whould return the set of gcc link options
needed to link code dependant on librpm

Additional info:
Comment 1 Daniel Veillard 2002-12-14 14:46:05 EST
Created attachment 88725 [details]
an attempt for a patch providing rpm-config functionalities

This doesn't work as is, using @LIBS@ directly gets too many libraries.
This at least shows how this could work, might need some tuning to be made
working.
Comment 2 Chip Turner 2002-12-14 15:39:54 EST
this would be IMMENSELY helpful for the perl-RPM2 package.

better than a separate script would be to use pkg-config.  it's really easy...
just drop a file in /usr/lib/pkgconfig that has the data in it.  it's so trivial
but would really help anyone who has to link against rpm.

don't know how far pkgconfig goes back, though, so maybe a separate script would
be good.

Note You need to log in before you can comment on or make changes to this bug.